import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const NOTIFICATION: AppRouteRecordRaw = {
  path: '/notification',
  name: 'notification',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: '通知管理',
    requiresAuth: true,
    icon: 'icon-message', // 设置图标
    order: 0, // 排序路由菜单项。如果设置该值，值越高，越靠前
  },
  children: [
    {
      path: 'notice',
      name: 'notice',
      component: () => import('@/views/notification/notice/index.vue'),
      meta: {
        locale: '公告通知',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path:'noticeSet',
      name:'noticeSet',
      component: () => import('@/views/notification/noticeSet/index.vue'),
      meta:{
        locale: '公告管理',
        requiresAuth: true,
        permissions: ['*'],
      }
    }
  ],
};
export default NOTIFICATION;

