import { createPinia } from 'pinia';
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate';
import useAppStore from './modules/app';
import useUserStore from './modules/user';
import useTabBarStore from './modules/tab-bar';
import useRoleStore from './modules/role';
import useDeptStore from './modules/dept';
import useAuthStore from './modules/auth';
import useBulletinsStore from './modules/bulletins';
import useBulletinStore from './modules/bulle-mgmt';
import useMessagesStore from './modules/messages';
import useMessageStore from './modules/message-mgmt';

const pinia = createPinia();
pinia.use(piniaPluginPersistedstate);

export {
  useAppStore,
  useUserStore,
  useTabBarStore,
  useRoleStore,
  useDeptStore,
  useAuthStore,
  useBulletinsStore,
  useBulletinStore,
  useMessagesStore,
  useMessageStore,
};
export default pinia;
